Bug 1299166 - nagios: Worker: Unknown jobtype: 10
nagios: Worker: Unknown jobtype: 10
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: nagios (Show other bugs)
epel7
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Keiran Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-16 15:03 EST by Jan ONDREJ
Modified: 2017-02-22 09:50 EST (History)
10 users (show)

See Also:
Fixed In Version: nagios-4.2.4-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-22 09:50:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixing patch. (1.18 KB, patch)
2016-01-16 16:10 EST, Jan ONDREJ
no flags Details | Diff

  None (edit)
Description Jan ONDREJ 2016-01-16 15:03:50 EST
Description of problem:


Version-Release number of selected component (if applicable):
nagios-4.0.8-1.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. use perforamnce data

Actual results:
[1452974545] Worker 44403: Unknown jobtype: 10
[1452974545] wproc: Unknown job type: 10
[1452974546] wproc: SERVICE PERFDATA job 78418 from worker Core Worker 44402 is a non-check helper but exited with return code 2
[1452974546] wproc:   early_timeout=0; exited_ok=1; wait_status=512; error_code=0;

Expected results:
no errors

Additional info:
This is a known bug. Already fixed in nagios testing releases. Please apply upstream patch.
http://tracker.nagios.org/view.php?id=534
Comment 1 Jan ONDREJ 2016-01-16 16:10 EST
Created attachment 1115500 [details]
Fixing patch.

Patch applied to current version.
Comment 2 daryl herzmann 2016-04-05 11:58:34 EDT
Thanks, I built nagios-4.0.8-2 src RPM with this patch and this issue went away.
Comment 3 Fedora Update System 2017-02-07 18:46:40 EST
nagios-4.2.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f3297a19b
Comment 4 Fedora Update System 2017-02-09 16:17:41 EST
nagios-4.2.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f3297a19b
Comment 5 Fedora Update System 2017-02-22 09:50:12 EST
nagios-4.2.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.